import 'package:flutter/material.dart';

class WalletDetailListPage extends StatefulWidget {
  @override
  _WalletDetailListPageState createState() => _WalletDetailListPageState();
}

class _WalletDetailListPageState extends State<WalletDetailListPage> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(left: 12.5, right: 12.5),
      child: Column(
        children: <Widget>[
          _createHeader(),
          _createContent(),
        ],
      ),
    );
  }

  Widget _createHeader() {
    return Container(
      height: 50,
      child: Row(
        children: <Widget>[
          Container(
            width: 80,
            child: Row(
              children: <Widget>[
                Text(
                  '2020-10',
                  style: TextStyle(
                    fontSize: 14,
                    color: Color(0xff333333),
                    fontWeight: FontWeight.bold,
                  ),
                ),
              ],
            ),
          ),
          Expanded(
              child: SingleChildScrollView(
            child: Row(),
          ))
        ],
      ),
    );
  }

  Widget _createContent() {
    return Container();
  }
}
